ata_wait_ready
Prev | Chapter 4. libata Library | Next

## Name

ata_wait_ready — sleep until BSY clears, or timeout

## Synopsis

`int ata_wait_ready (` | struct ata_port * | ap,
| unsigned long | deadline`)`;

## Arguments

`ap`

  port containing status register to be polled

`deadline`

  deadline jiffies for the operation

## Description

Sleep until ATA Status register bit BSY clears, or timeout occurs.

## LOCKING

Kernel thread context (may sleep).

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
ata_wait_after_reset | Home | ata_bus_reset